Bug 206831 - games/lgeneral: Add missing bitmap file. Fixes crashing
Summary: games/lgeneral: Add missing bitmap file. Fixes crashing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-01 23:28 UTC by Chris
Modified: 2016-02-04 00:05 UTC (History)
1 user (show)

See Also:
amdmi3: merge-quarterly+


Attachments
Patch to games/lgeneral (1.26 KB, patch)
2016-02-01 23:28 UTC, Chris
koobs: maintainer-approval+
Details | Diff
Synth test log (184.52 KB, text/x-log)
2016-02-01 23:29 UTC, Chris
no flags Details
poudriere testport log (188.00 KB, text/x-log)
2016-02-02 17:08 UTC, Chris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2016-02-01 23:28:34 UTC
Created attachment 166413 [details]
Patch to games/lgeneral

The game crashes while loading scenarios because of missing file 'bridge.bmp'.
The attached patch fixes this by converting and adding the missing bitmap files.
Comment 1 Chris 2016-02-01 23:29:06 UTC
Created attachment 166414 [details]
Synth test log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 14:50:36 UTC
Thank you for your report Chris

Can you please confirm this passes QA (portlint, poudriere), as they are the current tools that are valid for QA
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 14:51:06 UTC
Comment on attachment 166413 [details]
Patch to games/lgeneral

Port is unmaintained, implicit approval
Comment 4 Chris 2016-02-02 17:08:16 UTC
Created attachment 166445 [details]
poudriere testport log

poudriere testport log as requested
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 17:10:12 UTC
Thank you Chris
Comment 6 commit-hook freebsd_committer 2016-02-04 00:03:38 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Feb  4 00:03:31 UTC 2016
New revision: 408006
URL: https://svnweb.freebsd.org/changeset/ports/408006

Log:
  - Generate missing data files to fix runtime crash [1]

  While here:
  - Fix build with NLS disabled
  - Fix LICENSE
  - Switch to USES=localbase
  - Switch to options helpers
  - Don't try to use X11 during build

  PR:		206831 [1]
  Submitted by:	cmangin@arobas.net [1]
  MFH:		2016Q1 (blanket)

Changes:
  head/games/lgeneral/Makefile
  head/games/lgeneral/files/patch-util_localize.h
  head/games/lgeneral/pkg-plist
Comment 7 commit-hook freebsd_committer 2016-02-04 00:05:40 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Feb  4 00:04:53 UTC 2016
New revision: 408007
URL: https://svnweb.freebsd.org/changeset/ports/408007

Log:
  MFH: r408006

  - Generate missing data files to fix runtime crash [1]

  While here:
  - Fix build with NLS disabled
  - Fix LICENSE
  - Switch to USES=localbase
  - Switch to options helpers
  - Don't try to use X11 during build

  PR:		206831 [1]
  Submitted by:	cmangin@arobas.net [1]
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q1/
  branches/2016Q1/games/lgeneral/Makefile
  branches/2016Q1/games/lgeneral/files/patch-util_localize.h